#ifndef AGENDA_H
#define AGENDA_H
#include <CString>
#include <vector>
#include "contact.h"

using namespace std;

class ContactList
{
protected:
	vector<Contact*> contacts; //pointeri catre Contact
	vector<Contact*>::iterator i;
public:
	ContactList();
	vector<Contact*>*getContacts();
	vector<Contact*>::iterator posToIterator(int);
	CString load(CString);
	CString save(CString);
	
	void addContact(Contact *);
	void clearAll();
	void removeContact(vector<Contact*>::iterator);

	virtual CString getType();
};
/*
class Agenda : public ContactList
{
private:
	CString owner;
public:
	Agenda(char * owner = "");
	CString getOwner();
	CString getType();
};*/

class Company : public Contact, public ContactList
{
public:
	Company(CString = "", CString = "", CString = "", CString = "");
	CString getType();
};

#endif
