#ifndef CONTACT_H
#define CONTACT_H

using namespace std;

class Contact
{
	CString name;
	CString address;
	CString phoneNo;
	CString age;

public:
	Contact(CString newName = "", CString newAddress = "", CString newPhoneNo = "", CString newAge = "");

	CString getName();	
	CString getAddress();
	CString getPhoneNo();
	CString getAge();
	
	void setName(CString newName);
	void setAddress(CString newAddress);
	void setPhoneNo(CString newPhoneNo);
	void setAge(CString newAge);

	virtual void setDetail(CString);
	virtual CString getType();
	virtual CString getDetail();
};

class Acquaintance : public Contact
{
protected:
	CString occupation;
public:
	Acquaintance(CString = "", CString = "", CString = "", CString = "", CString = "");
	CString getType();
	CString getDetail();
	void setDetail(CString);
};

class Friend : public Contact
{
protected:
	CString birthdate;
public:
	Friend(CString = "", CString = "", CString = "", CString = "", CString = "");
	CString getType();
	CString getDetail();
	void setDetail(CString);
};

#endif