#include "stdafx.h"
#include "contact.h"
#include <CString>

Contact::Contact(CString newName, CString newAddress, CString newPhoneNo, CString newAge) //constructor pentru Contact
{
	name = CString(newName);
	address = CString(newAddress);
	phoneNo = CString(newPhoneNo);
	age = CString(newAge);
}

CString Contact::getName() //returneaza numele
{
	return name;
}

CString Contact::getAddress() //returneaza adresa
{
	return address;
}

CString Contact::getPhoneNo() //returneaza numarul de telefon
{
	return phoneNo;
}

CString Contact::getAge() //returneaza varsta
{
	return age;
}

void Contact::setName(CString newName) //seteaza numele
{
	name = newName;
}

void Contact::setAddress(CString newAdd) //seteaza numele
{
	address = newAdd;
}

void Contact::setPhoneNo(CString newPhoneNo) //seteaza numarul de telefon
{
	phoneNo = newPhoneNo;
}

void Contact::setAge(CString newAge) //seteaza numarul de telefon
{
	age = newAge;
}

CString Contact::getType() //functie virtuala care returneaza un string cu tipul contactului
{
	return CString("Contact");
}



void Contact::setDetail(CString) //functie virtuala care seteaza detaliile specifice
{
	//nothing
}

CString Contact::getDetail() //functie virtuala care returneaza detaliile specifice
{
	return CString();
}

Acquaintance::Acquaintance(CString newName, CString newAddress, CString newPhoneNo, CString newAge, CString detail)   //constructor pentru Acquaintance
	: Contact(newName, newAddress, newPhoneNo, newAge)    
{
	occupation = CString(detail);
}

CString Acquaintance::getType()  
{
	return CString("Acquaintance");
}

CString Acquaintance::getDetail()
{
	return occupation;
}

void Acquaintance::setDetail(CString newOccupation)
{
	occupation = newOccupation;
}

Friend::Friend(CString newName, CString newAddress, CString newPhoneNo, CString newAge, CString detail)   //constructor pentru Friend
	: Contact(newName, newAddress, newPhoneNo, newAge)
{
	birthdate = CString(detail);
}

CString Friend::getType()
{
	return CString("Friend");
}

CString Friend::getDetail()
{
	return birthdate;
}

void Friend::setDetail(CString newBirthdate)
{
	birthdate = newBirthdate;
}
